#ifndef _CRC32_H_
#define _CRC32_H_

/*
 * This file is derived from crc32.c from the zlib-1.1.3 distribution
 * by Jean-loup Gailly and Mark Adler.
 */

/* crc32.c -- compute the CRC-32 of a data stream
 * Copyright (C) 1995-1998 Mark Adler
 * For conditions of distribution and use, see copyright notice in zlib.h
 */

#include <stdint.h>

uint32_t crc32 (uint32_t crc, uint8_t *buf, unsigned int len);

#endif

